Bug 95166 - New port: NLM Insight Toolkit 2.4.1
Summary: New port: NLM Insight Toolkit 2.4.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alejandro Pulver
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-03-31 21:40 UTC by Jason Bacon
Modified: 2006-09-07 21:24 UTC (History)
0 users

See Also:


Attachments
file.shar (171.20 KB, text/plain)
2006-03-31 21:40 UTC, Jason Bacon
no flags Details
ITK.shar (176.84 KB, text/plain; charset="us-ascii")
2006-08-22 20:09 UTC, Jason Bacon
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Bacon 2006-03-31 21:40:14 UTC
	New port: National Library of Medicine (NLM) Insight Toolkit 2.4.1
Comment 1 Jason Bacon 2006-04-03 21:33:11 UTC
Small addition to pkg-message.in to help ldconfig hints survive a reboot:

diff -u pkg-message.in.old pkg-message.in
--- pkg-message.in.old  Mon Apr  3 15:27:38 2006
+++ pkg-message.in      Mon Apr  3 15:27:38 2006
@@ -4,4 +4,6 @@
 
 Note that -L%%PREFIX%%/lib/InsightToolkit is necessary in order to
 link to ITK libraries.
+
+Don't forget to add %%PREFIX%%/lib/InsightToolkit to /etc/ld-elf.so.conf.

-- 
Jason W. Bacon
Systems Manager, fMRI Research Labs
Medical College of Wisconsin
8701 Watertown Plank Rd
Room MFRC 4037
Milwaukee, WI 53226
(414) 456-5881
(414) 456-6562 FAX
Comment 2 Jason Bacon 2006-08-22 20:09:51 UTC
This is a new version of the Insight Toolkit port, which was submitted last 
spring, but has not yet been committed.  The new port attached installs 
version 2.8.1, the latest release, and has a number of improvements based on 
what I've recently learned from my work on other ports (much of the credit 
goes to Ale's advice).

Cheers,

	Jason
Comment 3 Alejandro Pulver freebsd_committer 2006-09-05 00:05:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->alepulver

Take PR.
Comment 4 Alejandro Pulver freebsd_committer 2006-09-07 21:24:12 UTC
State Changed
From-To: open->closed

Committed with a few modifications, thanks!